#include "daemon.h"
#include <QDebug>
#include <QProcess>

Daemon::Daemon(QString providername, QObject *parent): KAppWidgetProvider(providername , parent)
{

}

void Daemon::appWidgetClicked(const QString &widgetname, const QDBusVariant &value)
{
    Q_UNUSED(widgetname);
    Q_UNUSED(value);
    qDebug()<<"appWidgetClicked"<<widgetname;
    QProcess::startDetached("/usr/bin/kylin-weather showmainwindow");
}
